# Users Export

Provides a turn-key solution for exporting users in several different formats
included Excel, CSV, JSON, tab-delimitted, and XML.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/users_export).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/users_export).


## Table of contents

- Requirements
- Installation
- Configuration
- Troubleshooting
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

- The functions of this module are given to users with the correct permissions.
  You can enable per-file-format permissions to user roles.

- Per [users_export_menu issues](https://www.drupal.org/node/2824163), if the
  default export path defined
  by this module is in conflict for your website, you can alter it using
  [hook_menu_alter](https://api.drupal.org/api/drupal/modules%21system%21system.api.php/function/hook_menu_alter/7.x) in a custom module. See users_export.api.php for an
  example.

    - Exporting:

      Visit `admin/people/export`, adjust your settings and click Download File.
    - Searching (views integration)

      If the views module is enabled this module ships with a view for searching
      users found at admin/people/find
    - API:
      Refer to users_export.api.php for api functions and hooks.


## Troubleshooting

Large user counts will try to consume a good deal of memory and may exceed the
PHP maximum execution time. In the advanced settings on the export form, you may
attempt to increase both of these values, but their efficacy is dependent upon
the security settings of your server.
You may have to alter these values at the server level if you continue to have
export problems with large numbers of users.

To test this you should enable the test mode and you will get a file of 10
users. If this works, but when unchecked, the export fails, you are most likely
running into limits of either memory or time.


## Maintainers

- [Aaron Klump (aklump)](https://www.drupal.org/user/142422)
- [renatog](https://www.drupal.org/u/renatog)
- [Viktor Holovachek (AstonVictor)](https://www.drupal.org/u/astonvictor)

This project has been sponsored by:

- Loft Studios

Contact:

- In the Loft Studios
    - Aaron Klump - Developer
    - PO Box 29294 Bellingham, WA 98228-1294
    - aim: theloft101
    - skype: intheloftstudios
    - d.o: aklump
    - [InTheLoftStudios](http://www.InTheLoftStudios.com)